// Fill out your copyright notice in the Description page of Project Settings.

#pragma once

#include "CoreMinimal.h"
#include "HYManualPickUp.h"
#include "HYConsumableItem.generated.h"

/**
 * 
 */


UCLASS()
class HWANYOUNG2_API AHYConsumableItem : public AHYManualPickUp
{
	GENERATED_BODY()

public: 
	AHYConsumableItem();

	UFUNCTION(BlueprintImplementableEvent, BlueprintCallable, Category = "Pick up and consume")
	void OnUsed(APlayerController* Controller);
	
};
